/*KSlacky InfoPkg is a package information tool that provide
the list of packages installe on your Slackware system
Copyright (C) 2008  Giovanni Santostefano

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.*/

#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>
#include <KMessageBox>


#include "mainwindow.h"

int main(int argc, char *argv[])
{
	KAboutData aboutData(
				//Program name
				"KSlacky_InfoPkg",
				//Message Catalog name
				0,
				//Program caption
				ki18n("KSlacky InfoPkg"),
				//program version
				"1.2.1",
				//Short description
				ki18n("Display a message box"),
				// The license this code is released under
                         	KAboutData::License_GPL,
                         	// Copyright Statement
                         	ki18n("Giovanni Santostefano (c) 2008"),
                         	// Optional text shown in the About box.
                         	// Can contain any information desired.
                         	ki18n("Some text..."),
                         	// The program homepage string.
                         	"http://santostefanogiovanni.blogspot.com/",
                         	// The bug report email address
                         	"idmgiovanni@libero.it");

	KCmdLineArgs::init(argc,argv,&aboutData);
	KApplication app;
	MainWindow *m=new MainWindow;
	m->show();
	return app.exec();
	
}
